> # NAME

> cgCreatePassAnnotation - create an annotation in a pass

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGannotation cgCreatePassAnnotation( CGpass pass,
>                                            const char * name,
>                                            CGtype type );

> # PARAMETERS

> pass

>   The pass to which the new annotation will be added.

> name

>   The name of the new annotation.

> type

>   The type of the new annotation.

> # RETURN VALUES

> Returns the new CGannotation handle on success.

> Returns NULL if any error occurs.

> # DESCRIPTION

> cgCreatePassAnnotation adds a new annotation to a pass.

> # EXAMPLES

>       /* create a float annotation named "Apple" for CGpass pass */
>       CGannotation ann = cgCreatePassAnnotation( pass, "Apple", CG_FLOAT );

> # ERRORS

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> CG_DUPLICATE_NAME_ERROR is generated if name is already used by an annotation for this pass.

> CG_INVALID_ENUMERANT_ERROR is generated if type is not CG_INT, CG_FLOAT, CG_BOOL, or CG_STRING.

> # HISTORY

> cgCreatePassAnnotation was introduced in Cg 1.5.

> # SEE ALSO

> cgGetNamedPassAnnotation, cgGetFirstPassAnnotation, cgGetNextAnnotation